[default]
user = www-data
group = www-data
;chroot = /var/www/html
chdir = /
listen = 127.0.0.1:9999

; Process manager
pm = dynamic
pm.max_children = 10
pm.start_servers = 4
pm.min_spare_servers = 2
pm.max_spare_servers = 6
pm.max_requests = 2000
pm.status_path = /fpm-status

; Environment variables
env[HOSTNAME] = ahweb2
env[PATH] = /usr/local/bin:/usr/sbin:/usr/bin:/bin
env[TMP] = /tmp
env[TMPDIR] = /tmp
env[TEMP] = /tmp

; PHP settings
php_admin_value[doc_root] = /var/www/html
php_admin_value[upload_tmp_dir] = /tmp
php_admin_value[browscap] = False
php_admin_value[conf_dir] = mods-available
php_admin_value[date_timezone] = Europe/Berlin
php_admin_value[display_errors] = Off
php_admin_value[display_startup_errors] = Off
php_admin_value[error_reporting] = E_ALL & ~E_DEPRECATED
php_admin_value[expose_php] = Off
php_admin_value[filter_default] = unsafe_raw
php_admin_value[html_errors] = Off
php_admin_value[log_errors] = On
php_admin_value[magic_quotes_gpc] = Off
php_admin_value[max_execution_time] = 90
php_admin_value[max_input_time] = 60
php_admin_value[max_input_vars] = 2000
php_admin_value[needs_oci8] = False
php_admin_value[register_globals] = Off
php_admin_value[register_long_arrays] = Off
php_admin_value[sendmail_path] = /usr/sbin/sendmail -t -i
php_admin_value[session_cache_expire] = 180
php_admin_value[session_cookie_lifetime] = 0
php_admin_value[session_gc_divisor] = 1000
php_admin_value[session_gc_maxlifetime] = 1440
php_admin_value[short_open_tag] = On

php_admin_value[max_file_uploads] = 20
php_admin_value[memory_limit] = 256M
php_admin_value[post_max_size] = 64M
php_admin_value[upload_max_filesize] = 64M
